cascading.flow.planner.iso.expression

## Class OperationExpression

- java.lang.Object
- - cascading.flow.planner.iso.expression.ElementExpression
  - - cascading.flow.planner.iso.expression.TypeExpression<Operation>
    - - cascading.flow.planner.iso.expression.OperationExpression

All Implemented Interfaces:
  Expression<FlowElement>

    public class OperationExpression
    extends TypeExpression<Operation>

### Nested Class Summary

### Nested classes/interfaces inherited from class cascading.flow.planner.iso.expression.TypeExpression

`TypeExpression.Topo`

### Constructor Summary

Constructors
Constructor and Description
`OperationExpression(boolean exact, java.lang.Class<? extends Operation> type)`
`OperationExpression(java.lang.Class<? extends Operation> type)`
`OperationExpression(ElementCapture capture, boolean exact, java.lang.Class<? extends Operation> type)`
`OperationExpression(ElementCapture capture, java.lang.Class<? extends Operation> type)`

### Method Summary

Methods
`protected java.lang.Class<? extends Operation>` `getType(FlowElement flowElement)`

### Methods inherited from class cascading.flow.planner.iso.expression.TypeExpression

`applies, toString`

### Methods inherited from class cascading.flow.planner.iso.expression.ElementExpression

`getCapture`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OperationExpression

    public OperationExpression(ElementCapture capture,
                       boolean exact,
                       java.lang.Class<? extends Operation> type)

#### OperationExpression

    public OperationExpression(ElementCapture capture,
                       java.lang.Class<? extends Operation> type)

#### OperationExpression

    public OperationExpression(boolean exact,
                       java.lang.Class<? extends Operation> type)

#### OperationExpression

    public OperationExpression(java.lang.Class<? extends Operation> type)

### Method Detail

#### getType

    protected java.lang.Class<? extends Operation> getType(FlowElement flowElement)

Overrides:
  `getType` in class `TypeExpression<Operation>`